Supported Browsers

To take advantage of all of the features of Wikispaces, you will need to use one of the following web browsers:
  • Latest Chrome
  • Latest Firefox
  • Internet Explorer 9+ (we recommend Internet Explorer 11 for the best experience)
  • Safari 6

Download a Supported Browser


Unsupported Browsers

Earlier versions of the browsers listed above may not work well with Wikispaces. As of April 5, 2013 we do not support Internet Explorer 7.

Still have questions? Contact Wikispaces support.